gnutls_psk_server_get_username2(3)

NAME
gnutls_psk_server_get_username2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_server_get_username2(gnutls_session_t session, gnutls_datum_t * username);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * username
    a datum that will be filled in by this function

DESCRIPTION
Return a pointer to the username of the peer in the supplied datum. Does not need to be null-terminated.

This should only be called in case of PSK authentication and in case of a server.

The returned pointer should be considered constant (do not free) and valid for the lifetime of the session.

RETURNS
GNUTLS_E_SUCCESS, or a negative value in case of an error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/